# Makefile.in generated by automake 1.18.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2025 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# $Id: Makefile.am 27951 2025-05-09 16:34:45Z yeti-dn $



VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
@ENABLE_PYGWY_FALSE@am__append_1 = pygwy.c gwy.c pygwy-console.c wrap_calls.c
@ENABLE_PYGWY_TRUE@@MODULE_DEPENDENCIES_TRUE@am__append_2 = $(PYTHON2_LDFLAGS)
@ENABLE_PYGWY_TRUE@@OS_DARWIN_TRUE@am__append_3 = -undefined dynamic_lookup
subdir = modules/pygwy
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext-build-to-host.m4 \
	$(top_srcdir)/m4/gettext-host-cpu-c-abi.m4 \
	$(top_srcdir)/m4/gettext-iconv.m4 \
	$(top_srcdir)/m4/gettext-intlmacosx.m4 \
	$(top_srcdir)/m4/gettext-lib-ld.m4 \
	$(top_srcdir)/m4/gettext-lib-link.m4 \
	$(top_srcdir)/m4/gettext-lib-prefix.m4 \
	$(top_srcdir)/m4/gettext-nls.m4 $(top_srcdir)/m4/gettext-po.m4 \
	$(top_srcdir)/m4/gettext-progtest.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
	$(top_srcdir)/m4/gwy-cc-options.m4 \
	$(top_srcdir)/m4/gwy-enable.m4 $(top_srcdir)/m4/gwy-eu-nm.m4 \
	$(top_srcdir)/m4/gwy-hdf5.m4 $(top_srcdir)/m4/gwy-math.m4 \
	$(top_srcdir)/m4/gwy-openmp.m4 $(top_srcdir)/m4/gwy-zip.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
       $(am__cd) "$$dir" && echo $$files | $(am__xargs_n) 40 $(am__rm_f); }; \
  }
am__installdirs = "$(DESTDIR)$(moduledir)" "$(DESTDIR)$(pyexecdir)" \
	"$(DESTDIR)$(langdir)" "$(DESTDIR)$(pygwyutildir)"
LTLIBRARIES = $(module_LTLIBRARIES) $(pyexec_LTLIBRARIES)
@ENABLE_PYGWY_TRUE@gwy_la_DEPENDENCIES =  \
@ENABLE_PYGWY_TRUE@	$(top_builddir)/libgwyapp/libgwyapp3.la \
@ENABLE_PYGWY_TRUE@	$(top_builddir)/libgwyddion/libgwyddion3.la \
@ENABLE_PYGWY_TRUE@	$(top_builddir)/libgwyui/libgwyui3.la
am__gwy_la_SOURCES_DIST = gwy.c wrap_calls.c
@ENABLE_PYGWY_TRUE@am_gwy_la_OBJECTS = gwy_la-gwy.lo \
@ENABLE_PYGWY_TRUE@	gwy_la-wrap_calls.lo
gwy_la_OBJECTS = $(am_gwy_la_OBJECTS)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
gwy_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(gwy_la_CFLAGS) $(CFLAGS) \
	$(gwy_la_LDFLAGS) $(LDFLAGS) -o $@
@ENABLE_PYGWY_TRUE@am_gwy_la_rpath = -rpath $(pyexecdir)
@MODULE_DEPENDENCIES_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/libgwyapp/libgwyapp3.la \
@MODULE_DEPENDENCIES_TRUE@	$(top_builddir)/libdraw/libgwydraw3.la \
@MODULE_DEPENDENCIES_TRUE@	$(top_builddir)/libgwyddion/libgwyddion3.la \
@MODULE_DEPENDENCIES_TRUE@	$(top_builddir)/libgwyui/libgwyui3.la \
@MODULE_DEPENDENCIES_TRUE@	$(top_builddir)/libgwymodule/libgwymodule3.la \
@MODULE_DEPENDENCIES_TRUE@	$(top_builddir)/libprocess/libgwyprocess3.la
@ENABLE_PYGWY_TRUE@pygwy_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__pygwy_la_SOURCES_DIST = pygwy.c wrap_calls.c pygwy-console.c
@ENABLE_PYGWY_TRUE@am_pygwy_la_OBJECTS = pygwy_la-pygwy.lo \
@ENABLE_PYGWY_TRUE@	pygwy_la-wrap_calls.lo \
@ENABLE_PYGWY_TRUE@	pygwy_la-pygwy-console.lo
pygwy_la_OBJECTS = $(am_pygwy_la_OBJECTS)
pygwy_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(pygwy_la_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
@ENABLE_PYGWY_TRUE@am_pygwy_la_rpath = -rpath $(moduledir)
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = 
depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/gwy_la-gwy.Plo \
	./$(DEPDIR)/gwy_la-wrap_calls.Plo \
	./$(DEPDIR)/pygwy_la-pygwy-console.Plo \
	./$(DEPDIR)/pygwy_la-pygwy.Plo \
	./$(DEPDIR)/pygwy_la-wrap_calls.Plo
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(gwy_la_SOURCES) $(pygwy_la_SOURCES)
DIST_SOURCES = $(am__gwy_la_SOURCES_DIST) $(am__pygwy_la_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(lang_DATA) $(pygwyutil_DATA)
HEADERS = $(noinst_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build-aux/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BASIC_LIBS = @BASIC_LIBS@
BZIP2 = @BZIP2@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFITSIO_CFLAGS = @CFITSIO_CFLAGS@
CFITSIO_LIBS = @CFITSIO_LIBS@
CFLAGS = @CFLAGS@
COMMON_CFLAGS = @COMMON_CFLAGS@
COMMON_CXXFLAGS = @COMMON_CXXFLAGS@
COMMON_LDFLAGS = @COMMON_LDFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CSCOPE = @CSCOPE@
CTAGS = @CTAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DESIRED_LINGUAS = @DESIRED_LINGUAS@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ETAGS = @ETAGS@
EU_NM = @EU_NM@
EXEEXT = @EXEEXT@
EXR_CFLAGS = @EXR_CFLAGS@
EXR_LIBS = @EXR_LIBS@
FFTW3_CFLAGS = @FFTW3_CFLAGS@
FFTW3_LIBS = @FFTW3_LIBS@
FGREP = @FGREP@
FILECMD = @FILECMD@
GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
GLIB_MKENUMS = @GLIB_MKENUMS@
GMODULE_CFLAGS = @GMODULE_CFLAGS@
GMODULE_LIBS = @GMODULE_LIBS@
GMSGFMT = @GMSGFMT@
GMSGFMT_015 = @GMSGFMT_015@
GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
GOBJECT_LIBS = @GOBJECT_LIBS@
GREP = @GREP@
GTKDOC_EXTRA_CFLAGS = @GTKDOC_EXTRA_CFLAGS@
GTK_CFLAGS = @GTK_CFLAGS@
GTK_DOC_PATH = @GTK_DOC_PATH@
GTK_LIBS = @GTK_LIBS@
GTK_MAC_CFLAGS = @GTK_MAC_CFLAGS@
GTK_MAC_LIBS = @GTK_MAC_LIBS@
GWY_GIR_VERSION = @GWY_GIR_VERSION@
GWY_REQUIRED_GIR = @GWY_REQUIRED_GIR@
GWY_VERSION_MAJOR = @GWY_VERSION_MAJOR@
GWY_VERSION_MINOR = @GWY_VERSION_MINOR@
GWY_VERSION_STRING = @GWY_VERSION_STRING@
H5CC = @H5CC@
HDF5_CC = @HDF5_CC@
HDF5_CFLAGS = @HDF5_CFLAGS@
HDF5_CPPFLAGS = @HDF5_CPPFLAGS@
HDF5_LDFLAGS = @HDF5_LDFLAGS@
HDF5_LIBS = @HDF5_LIBS@
HDF5_VERSION = @HDF5_VERSION@
HTML_DIR = @HTML_DIR@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
JSON_GLIB_CFLAGS = @JSON_GLIB_CFLAGS@
JSON_GLIB_LIBS = @JSON_GLIB_LIBS@
KDE4_CPPFLAGS = @KDE4_CPPFLAGS@
KDE4_LDFLAGS = @KDE4_LDFLAGS@
KDE4_LIBS = @KDE4_LIBS@
KDE4_MODULE_DIR = @KDE4_MODULE_DIR@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBICONV = @LIBICONV@
LIBINTL = @LIBINTL@
LIBM = @LIBM@
LIBOBJS = @LIBOBJS@
LIBRARY_RELEASE = @LIBRARY_RELEASE@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIBZIP_CFLAGS = @LIBZIP_CFLAGS@
LIBZIP_LIBS = @LIBZIP_LIBS@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBICONV = @LTLIBICONV@
LTLIBINTL = @LTLIBINTL@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MINIZIP1_CFLAGS = @MINIZIP1_CFLAGS@
MINIZIP1_LIBS = @MINIZIP1_LIBS@
MINIZIP2_CFLAGS = @MINIZIP2_CFLAGS@
MINIZIP2_LIBS = @MINIZIP2_LIBS@
MINIZIPNG_CFLAGS = @MINIZIPNG_CFLAGS@
MINIZIPNG_LIBS = @MINIZIPNG_LIBS@
MKDIR_P = @MKDIR_P@
MSGFMT = @MSGFMT@
MSGMERGE = @MSGMERGE@
MSGMERGE_FOR_MSGFMT_OPTION = @MSGMERGE_FOR_MSGFMT_OPTION@
MSWIN_BITS = @MSWIN_BITS@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OPENEXR_EXTRA_CFLAGS = @OPENEXR_EXTRA_CFLAGS@
OPENMP_CFLAGS = @OPENMP_CFLAGS@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PNG_CFLAGS = @PNG_CFLAGS@
PNG_LIBS = @PNG_LIBS@
POSUB = @POSUB@
PYTHON = @PYTHON@
PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
PYTHON_PLATFORM = @PYTHON_PLATFORM@
PYTHON_PREFIX = @PYTHON_PREFIX@
PYTHON_VERSION = @PYTHON_VERSION@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
UPDATE_DESKTOP_DATABASE = @UPDATE_DESKTOP_DATABASE@
UPDATE_MIME_DATABASE = @UPDATE_MIME_DATABASE@
USE_NLS = @USE_NLS@
VALGRIND = @VALGRIND@
VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
VALGRIND_LIBS = @VALGRIND_LIBS@
VERSION = @VERSION@
WEBP_CFLAGS = @WEBP_CFLAGS@
WEBP_LIBS = @WEBP_LIBS@
XDG_DATA_HOME_DIR = @XDG_DATA_HOME_DIR@
XGETTEXT = @XGETTEXT@
XGETTEXT_015 = @XGETTEXT_015@
XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
XMKMF = @XMKMF@
XML2_CFLAGS = @XML2_CFLAGS@
XML2_LIBS = @XML2_LIBS@
XSLTPROC = @XSLTPROC@
X_CFLAGS = @X_CFLAGS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_LIBS = @X_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
ZIP_CFLAGS = @ZIP_CFLAGS@
ZIP_LIBS = @ZIP_LIBS@
ZLIB_CFLAGS = @ZLIB_CFLAGS@
ZLIB_LIBS = @ZLIB_LIBS@
ZSTD_CFLAGS = @ZSTD_CFLAGS@
ZSTD_LIBS = @ZSTD_LIBS@
ZZIPLIB_CFLAGS = @ZZIPLIB_CFLAGS@
ZZIPLIB_LIBS = @ZZIPLIB_LIBS@
_GI_EXP_DATADIR = @_GI_EXP_DATADIR@
_GI_EXP_LIBDIR = @_GI_EXP_LIBDIR@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__rm_f_notfound = @am__rm_f_notfound@
am__tar = @am__tar@
am__untar = @am__untar@
am__xargs_n = @am__xargs_n@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localedir_c = @localedir_c@
localedir_c_make = @localedir_c_make@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkgpyexecdir = @pkgpyexecdir@
pkgpythondir = @pkgpythondir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
pyexecdir = @pyexecdir@
pythondir = @pythondir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
moduledir = $(libdir)/gwyddion3/modules
pygwyutildir = $(datadir)/gwyddion3/pygwy
langdir = $(datadir)/gtksourceview-2.0/language-specs
PYGWY_H_FILES = \
	$(top_srcdir)/libgwyddion/gwycontainer.h \
	$(top_srcdir)/libgwyddion/gwyddionenums.h \
	$(top_srcdir)/libgwyddion/gwyddion.h \
	$(top_srcdir)/libgwyddion/gwyddiontypes.h \
	$(top_srcdir)/libgwyddion/gwyentities.h \
	$(top_srcdir)/libgwyddion/gwyenum.h \
	$(top_srcdir)/libgwyddion/gwyexpr.h \
	$(top_srcdir)/libgwyddion/gwyfdcurvepreset.h \
	$(top_srcdir)/libgwyddion/gwyinventory.h \
	$(top_srcdir)/libgwyddion/gwymacros.h \
	$(top_srcdir)/libgwyddion/gwymath.h \
	$(top_srcdir)/libgwyddion/gwymd5.h \
	$(top_srcdir)/libgwyddion/gwynlfit.h \
	$(top_srcdir)/libgwyddion/gwynlfitpreset.h \
	$(top_srcdir)/libgwyddion/gwyresource.h \
	$(top_srcdir)/libgwyddion/gwyrandgenset.h \
	$(top_srcdir)/libgwyddion/gwyserializable.h \
	$(top_srcdir)/libgwyddion/gwysiunit.h \
	$(top_srcdir)/libgwyddion/gwysivalueformat.h \
	$(top_srcdir)/libgwyddion/gwystringlist.h \
	$(top_srcdir)/libgwyddion/gwythreads.h \
	$(top_srcdir)/libgwyddion/gwyutils.h \
	$(top_srcdir)/libgwyddion/gwyversion.h \
	$(top_srcdir)/libprocess/arithmetic.h \
	$(top_srcdir)/libprocess/brick.h \
	$(top_srcdir)/libprocess/cdline.h \
	$(top_srcdir)/libprocess/correct.h \
	$(top_srcdir)/libprocess/correlation.h \
	$(top_srcdir)/libprocess/cwt.h \
	$(top_srcdir)/libprocess/datafield.h \
	$(top_srcdir)/libprocess/dataline.h \
	$(top_srcdir)/libprocess/dwt.h \
	$(top_srcdir)/libprocess/elliptic.h \
	$(top_srcdir)/libprocess/filters.h \
	$(top_srcdir)/libprocess/fractals.h \
	$(top_srcdir)/libprocess/grains.h \
	$(top_srcdir)/libprocess/gwyprocessenums.h \
	$(top_srcdir)/libprocess/gwyprocess.h \
	$(top_srcdir)/libprocess/gwyprocesstypes.h \
	$(top_srcdir)/libprocess/gwyshapefitpreset.h \
	$(top_srcdir)/libprocess/hough.h \
	$(top_srcdir)/libprocess/interpolation.h \
	$(top_srcdir)/libprocess/inttrans.h \
	$(top_srcdir)/libprocess/level.h \
	$(top_srcdir)/libprocess/linestats.h \
	$(top_srcdir)/libprocess/mfm.h \
	$(top_srcdir)/libprocess/lawn.h \
	$(top_srcdir)/libprocess/peaks.h \
	$(top_srcdir)/libprocess/simplefft.h \
	$(top_srcdir)/libprocess/spectra.h \
	$(top_srcdir)/libprocess/spline.h \
	$(top_srcdir)/libprocess/stats.h \
	$(top_srcdir)/libprocess/surface.h \
	$(top_srcdir)/libprocess/synth.h \
	$(top_srcdir)/libprocess/tip.h \
	$(top_srcdir)/libdraw/gwydraw.h \
	$(top_srcdir)/libdraw/gwydrawenums.h \
	$(top_srcdir)/libdraw/gwydrawtypes.h \
	$(top_srcdir)/libdraw/gwyglmaterial.h \
	$(top_srcdir)/libdraw/gwygradient.h \
	$(top_srcdir)/libdraw/gwypixfield.h \
	$(top_srcdir)/libdraw/gwyrgba.h \
	$(top_srcdir)/libdraw/gwyselection.h \
	$(top_srcdir)/libgwyui/gwy3dlabel.h \
	$(top_srcdir)/libgwyui/gwy3dsetup.h \
	$(top_srcdir)/libgwyui/gwy3dview.h \
	$(top_srcdir)/libgwyui/gwy3dwindow.h \
	$(top_srcdir)/libgwyui/gwyaxis.h \
	$(top_srcdir)/libgwyui/gwycheckboxes.h \
	$(top_srcdir)/libgwyui/gwycoloraxis.h \
	$(top_srcdir)/libgwyui/gwycolorbutton.h \
	$(top_srcdir)/libgwyui/gwycombobox.h \
	$(top_srcdir)/libgwyui/gwycurve.h \
	$(top_srcdir)/libgwyui/gwydataview.h \
	$(top_srcdir)/libgwyui/gwydataviewlayer.h \
	$(top_srcdir)/libgwyui/gwydatawindow.h \
	$(top_srcdir)/libgwyui/gwydgetenums.h \
	$(top_srcdir)/libgwyui/gwydgetmarshals.h \
	$(top_srcdir)/libgwyui/gwyui.h \
	$(top_srcdir)/libgwyui/gwydgettypes.h \
	$(top_srcdir)/libgwyui/gwydgetutils.h \
	$(top_srcdir)/libgwyui/gwygrapharea.h \
	$(top_srcdir)/libgwyui/gwygraphbasics.h \
	$(top_srcdir)/libgwyui/gwygraphcorner.h \
	$(top_srcdir)/libgwyui/gwygraphcurvemodel.h \
	$(top_srcdir)/libgwyui/gwygraphcurves.h \
	$(top_srcdir)/libgwyui/gwygraphdata.h \
	$(top_srcdir)/libgwyui/gwygraph.h \
	$(top_srcdir)/libgwyui/gwygraphlabel.h \
	$(top_srcdir)/libgwyui/gwygraphmodel.h \
	$(top_srcdir)/libgwyui/gwygraphselections.h \
	$(top_srcdir)/libgwyui/gwygraphwindow.h \
	$(top_srcdir)/libgwyui/gwyhmarkerbox.h \
	$(top_srcdir)/libgwyui/gwyhruler.h \
	$(top_srcdir)/libgwyui/gwyinventorystore.h \
	$(top_srcdir)/libgwyui/gwylayer-basic.h \
	$(top_srcdir)/libgwyui/gwylayer-mask.h \
	$(top_srcdir)/libgwyui/gwymarkerbox.h \
	$(top_srcdir)/libgwyui/gwynullstore.h \
	$(top_srcdir)/libgwyui/gwyoptionmenus.h \
	$(top_srcdir)/libgwyui/gwypixmaplayer.h \
	$(top_srcdir)/libgwyui/gwyradiobuttons.h \
	$(top_srcdir)/libgwyui/gwyruler.h \
	$(top_srcdir)/libgwyui/gwyscitext.h \
	$(top_srcdir)/libgwyui/gwyselectiongraph1darea.h \
	$(top_srcdir)/libgwyui/gwyselectiongrapharea.h \
	$(top_srcdir)/libgwyui/gwyselectiongraphline.h \
	$(top_srcdir)/libgwyui/gwyselectiongraphpoint.h \
	$(top_srcdir)/libgwyui/gwyselectiongraphzoom.h \
	$(top_srcdir)/libgwyui/gwysensitivitygroup.h \
	$(top_srcdir)/libgwyui/gwyshader.h \
	$(top_srcdir)/libgwyui/gwystatusbar.h \
	$(top_srcdir)/libgwyui/gwystock.h \
	$(top_srcdir)/libgwyui/gwyvectorlayer.h \
	$(top_srcdir)/libgwyui/gwyvruler.h \
	$(top_srcdir)/libgwymodule/gwymodulebrowser.h \
	$(top_srcdir)/libgwymodule/gwymoduleenums.h \
	$(top_srcdir)/libgwymodule/gwymodule-file.h \
	$(top_srcdir)/libgwymodule/gwymodule-graph.h \
	$(top_srcdir)/libgwymodule/gwymodule.h \
	$(top_srcdir)/libgwymodule/gwymodule-layer.h \
	$(top_srcdir)/libgwymodule/gwymoduleloader.h \
	$(top_srcdir)/libgwymodule/gwymodule-process.h \
	$(top_srcdir)/libgwymodule/gwymodule-tool.h \
	$(top_srcdir)/libgwymodule/gwymoduletypes.h \
	$(top_srcdir)/libgwymodule/gwymodule-volume.h \
	$(top_srcdir)/libgwymodule/gwymodule-xyz.h \
	$(top_srcdir)/libgwymodule/gwymodule-cmap.h \
	$(top_srcdir)/libgwyapp/app.h \
	$(top_srcdir)/libgwyapp/data-browser.h \
	$(top_srcdir)/libgwyapp/datachooser.h \
	$(top_srcdir)/libgwyapp/file.h \
	$(top_srcdir)/libgwyapp/filelist.h \
	$(top_srcdir)/libgwyapp/funcuse.h \
	$(top_srcdir)/libgwyapp/glmaterial-editor.h \
	$(top_srcdir)/libgwyapp/gradient-editor.h \
	$(top_srcdir)/libgwyapp/gwyapp.h \
	$(top_srcdir)/libgwyapp/gwyapptypes.h \
	$(top_srcdir)/libgwyapp/gwymoduleutils-file.h \
	$(top_srcdir)/libgwyapp/gwymoduleutils.h \
	$(top_srcdir)/libgwyapp/gwyplaintool.h \
	$(top_srcdir)/libgwyapp/help.h \
	$(top_srcdir)/libgwyapp/log.h \
	$(top_srcdir)/libgwyapp/logging.h \
	$(top_srcdir)/libgwyapp/menu.h \
	$(top_srcdir)/libgwyapp/meta.h \
	$(top_srcdir)/libgwyapp/resource-editor.h \
	$(top_srcdir)/libgwyapp/settings.h \
	$(top_srcdir)/libgwyapp/undo.h \
	$(top_srcdir)/libgwyapp/validate.h \
	$(top_srcdir)/libgwyapp/wait.h \
	wrap_calls.h \
	macro-prototypes.h

disabled_sources = $(am__append_1)
@ENABLE_PYGWY_FALSE@pygwy_module = 
@ENABLE_PYGWY_TRUE@pygwy_module = pygwy.la
@ENABLE_PYGWY_FALSE@gwy_pymodule = 
@ENABLE_PYGWY_TRUE@gwy_pymodule = gwy.la
@ENABLE_PYGWY_TRUE@pygwy_sources = 
@ENABLE_PYGWY_TRUE@gwy_sources = 
@ENABLE_PYGWY_FALSE@pygwyutil_DATA = 
@ENABLE_PYGWY_TRUE@pygwyutil_DATA = gwyutils.py
@ENABLE_PYGWY_FALSE@lang_DATA = 
@ENABLE_PYGWY_TRUE@lang_DATA = pygwy.lang
module_LTLIBRARIES = \
	$(pygwy_module)

pyexec_LTLIBRARIES = \
	$(gwy_pymodule)

noinst_HEADERS = \
	pygwy-console.h \
	pygwy.h \
	macro-prototypes.h \
	wrap_calls.h

EXTRA_DIST = \
	$(disabled_sources) \
	$(pygwyutil_DATA) \
	extra.defs \
	makelang.py \
	README.pygwy \
	pygwy.override \
	override.defs \
	pygwy-codegen.py \
	pygwy-generate-doc.py \
	pygwy-fix-defs-1.py \
	pygwy-fix-defs-2.py \
	gwyutils.py \
	pygtk-embed/include/pygtk-2.0 \
	pygtk-embed/include/pygtk-2.0/pygtk/pygtk.h \
	pygtk-embed/include/pygtk-2.0/pygobject.h \
	pygtk-embed/codegen/argtypes.py \
	pygtk-embed/codegen/codegen.py \
	pygtk-embed/codegen/definitions.py \
	pygtk-embed/codegen/defsparser.py \
	pygtk-embed/codegen/h2def.py \
	pygtk-embed/codegen/__init__.py \
	pygtk-embed/codegen/override.py \
	pygtk-embed/codegen/reversewrapper.py \
	pygtk-embed/codegen/scmexpr.py

@OS_MSWIN_TRUE@no_undefined = -no-undefined
AM_CPPFLAGS = -I$(top_srcdir) -DG_LOG_DOMAIN=\"PyGwy\"
AM_CFLAGS = @GTK_CFLAGS@ @COMMON_CFLAGS@
AM_LDFLAGS = -avoid-version -module $(no_undefined)
@MODULE_DEPENDENCIES_TRUE@module_libadd = \
@MODULE_DEPENDENCIES_TRUE@	$(top_builddir)/libgwyapp/libgwyapp3.la \
@MODULE_DEPENDENCIES_TRUE@	$(top_builddir)/libdraw/libgwydraw3.la \
@MODULE_DEPENDENCIES_TRUE@	$(top_builddir)/libgwyddion/libgwyddion3.la \
@MODULE_DEPENDENCIES_TRUE@	$(top_builddir)/libgwyui/libgwyui3.la \
@MODULE_DEPENDENCIES_TRUE@	$(top_builddir)/libgwymodule/libgwymodule3.la \
@MODULE_DEPENDENCIES_TRUE@	$(top_builddir)/libprocess/libgwyprocess3.la \
@MODULE_DEPENDENCIES_TRUE@	@GTK_LIBS@

@ENABLE_PYGWY_TRUE@BUILT_SOURCES = pygwywrap.c
@ENABLE_PYGWY_TRUE@pygwy_la_SOURCES = pygwy.c wrap_calls.c pygwy-console.c
@ENABLE_PYGWY_TRUE@pygwy_la_CFLAGS = @GTK_CFLAGS@ @COMMON_CFLAGS@ @PYTHON2_EXTRA_CFLAGS@ @GTKSOURCEVIEW_CFLAGS@ $(PYTHON2_INCLUDES) $(PYGTK_CFLAGS)
@ENABLE_PYGWY_TRUE@pygwy_la_LIBADD = $(module_libadd) $(PYTHON2_LDFLAGS) $(PYGTK_LIBS) @GTKSOURCEVIEW_LIBS@
@ENABLE_PYGWY_TRUE@gwy_la_SOURCES = gwy.c wrap_calls.c
@ENABLE_PYGWY_TRUE@gwy_la_CFLAGS = @GTK_CFLAGS@ @COMMON_CFLAGS@ @PYTHON2_EXTRA_CFLAGS@ $(PYTHON2_INCLUDES) $(PYGTK_CFLAGS)
# Link with all libraries modules are linked with.  This is excessive but done
# to prevent some nested dlopening ‘can't find DLL’ problems in Win32.
@ENABLE_PYGWY_TRUE@gwy_la_LIBADD = \
@ENABLE_PYGWY_TRUE@	$(top_builddir)/libgwyapp/libgwyapp3.la \
@ENABLE_PYGWY_TRUE@	$(top_builddir)/libgwyddion/libgwyddion3.la \
@ENABLE_PYGWY_TRUE@	$(top_builddir)/libgwyui/libgwyui3.la \
@ENABLE_PYGWY_TRUE@	$(PYGTK_LIBS) @GTK_LIBS@ \
@ENABLE_PYGWY_TRUE@	@PNG_LIBS@ @ZLIB@ @BZIP2@ @EXR_LIBS@ @XML2_LIBS@ @ZIP_LIBS@ \
@ENABLE_PYGWY_TRUE@	@CFITSIO_LIBS@ @WEBP_LIBS@ @JANSSON_LIBS@ @HDF5_LDFLAGS@ @HDF5_LIBS@

@ENABLE_PYGWY_TRUE@gwy_la_LDFLAGS = -avoid-version -module \
@ENABLE_PYGWY_TRUE@	$(no_undefined) $(am__append_2) \
@ENABLE_PYGWY_TRUE@	$(am__append_3)
CLEANFILES = gwy.py gwy.pyc gwy.pyo pygwy.lang boxed.override
DISTCLEANFILES = pygwy.defs pygwywrap.c
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pygwy/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu modules/pygwy/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

install-moduleLTLIBRARIES: $(module_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(module_LTLIBRARIES)'; test -n "$(moduledir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(moduledir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(moduledir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(moduledir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(moduledir)"; \
	}

uninstall-moduleLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(module_LTLIBRARIES)'; test -n "$(moduledir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(moduledir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(moduledir)/$$f"; \
	done

clean-moduleLTLIBRARIES:
	-$(am__rm_f) $(module_LTLIBRARIES)
	@list='$(module_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	echo rm -f $${locs}; \
	$(am__rm_f) $${locs}

install-pyexecLTLIBRARIES: $(pyexec_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(pyexec_LTLIBRARIES)'; test -n "$(pyexecdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pyexecdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pyexecdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pyexecdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pyexecdir)"; \
	}

uninstall-pyexecLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(pyexec_LTLIBRARIES)'; test -n "$(pyexecdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pyexecdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pyexecdir)/$$f"; \
	done

clean-pyexecLTLIBRARIES:
	-$(am__rm_f) $(pyexec_LTLIBRARIES)
	@list='$(pyexec_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	echo rm -f $${locs}; \
	$(am__rm_f) $${locs}

gwy.la: $(gwy_la_OBJECTS) $(gwy_la_DEPENDENCIES) $(EXTRA_gwy_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(gwy_la_LINK) $(am_gwy_la_rpath) $(gwy_la_OBJECTS) $(gwy_la_LIBADD) $(LIBS)

pygwy.la: $(pygwy_la_OBJECTS) $(pygwy_la_DEPENDENCIES) $(EXTRA_pygwy_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(pygwy_la_LINK) $(am_pygwy_la_rpath) $(pygwy_la_OBJECTS) $(pygwy_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gwy_la-gwy.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gwy_la-wrap_calls.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pygwy_la-pygwy-console.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pygwy_la-pygwy.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pygwy_la-wrap_calls.Plo@am__quote@ # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@: >>$@

am--depfiles: $(am__depfiles_remade)

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

gwy_la-gwy.lo: gwy.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gwy_la_CFLAGS) $(CFLAGS) -MT gwy_la-gwy.lo -MD -MP -MF $(DEPDIR)/gwy_la-gwy.Tpo -c -o gwy_la-gwy.lo `test -f 'gwy.c' || echo '$(srcdir)/'`gwy.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/gwy_la-gwy.Tpo $(DEPDIR)/gwy_la-gwy.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='gwy.c' object='gwy_la-gwy.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gwy_la_CFLAGS) $(CFLAGS) -c -o gwy_la-gwy.lo `test -f 'gwy.c' || echo '$(srcdir)/'`gwy.c

gwy_la-wrap_calls.lo: wrap_calls.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gwy_la_CFLAGS) $(CFLAGS) -MT gwy_la-wrap_calls.lo -MD -MP -MF $(DEPDIR)/gwy_la-wrap_calls.Tpo -c -o gwy_la-wrap_calls.lo `test -f 'wrap_calls.c' || echo '$(srcdir)/'`wrap_calls.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/gwy_la-wrap_calls.Tpo $(DEPDIR)/gwy_la-wrap_calls.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='wrap_calls.c' object='gwy_la-wrap_calls.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gwy_la_CFLAGS) $(CFLAGS) -c -o gwy_la-wrap_calls.lo `test -f 'wrap_calls.c' || echo '$(srcdir)/'`wrap_calls.c

pygwy_la-pygwy.lo: pygwy.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pygwy_la_CFLAGS) $(CFLAGS) -MT pygwy_la-pygwy.lo -MD -MP -MF $(DEPDIR)/pygwy_la-pygwy.Tpo -c -o pygwy_la-pygwy.lo `test -f 'pygwy.c' || echo '$(srcdir)/'`pygwy.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/pygwy_la-pygwy.Tpo $(DEPDIR)/pygwy_la-pygwy.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='pygwy.c' object='pygwy_la-pygwy.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pygwy_la_CFLAGS) $(CFLAGS) -c -o pygwy_la-pygwy.lo `test -f 'pygwy.c' || echo '$(srcdir)/'`pygwy.c

pygwy_la-wrap_calls.lo: wrap_calls.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pygwy_la_CFLAGS) $(CFLAGS) -MT pygwy_la-wrap_calls.lo -MD -MP -MF $(DEPDIR)/pygwy_la-wrap_calls.Tpo -c -o pygwy_la-wrap_calls.lo `test -f 'wrap_calls.c' || echo '$(srcdir)/'`wrap_calls.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/pygwy_la-wrap_calls.Tpo $(DEPDIR)/pygwy_la-wrap_calls.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='wrap_calls.c' object='pygwy_la-wrap_calls.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pygwy_la_CFLAGS) $(CFLAGS) -c -o pygwy_la-wrap_calls.lo `test -f 'wrap_calls.c' || echo '$(srcdir)/'`wrap_calls.c

pygwy_la-pygwy-console.lo: pygwy-console.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pygwy_la_CFLAGS) $(CFLAGS) -MT pygwy_la-pygwy-console.lo -MD -MP -MF $(DEPDIR)/pygwy_la-pygwy-console.Tpo -c -o pygwy_la-pygwy-console.lo `test -f 'pygwy-console.c' || echo '$(srcdir)/'`pygwy-console.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/pygwy_la-pygwy-console.Tpo $(DEPDIR)/pygwy_la-pygwy-console.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='pygwy-console.c' object='pygwy_la-pygwy-console.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pygwy_la_CFLAGS) $(CFLAGS) -c -o pygwy_la-pygwy-console.lo `test -f 'pygwy-console.c' || echo '$(srcdir)/'`pygwy-console.c

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-langDATA: $(lang_DATA)
	@$(NORMAL_INSTALL)
	@list='$(lang_DATA)'; test -n "$(langdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(langdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(langdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(langdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(langdir)" || exit $$?; \
	done

uninstall-langDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(lang_DATA)'; test -n "$(langdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(langdir)'; $(am__uninstall_files_from_dir)
install-pygwyutilDATA: $(pygwyutil_DATA)
	@$(NORMAL_INSTALL)
	@list='$(pygwyutil_DATA)'; test -n "$(pygwyutildir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pygwyutildir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pygwyutildir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pygwyutildir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pygwyutildir)" || exit $$?; \
	done

uninstall-pygwyutilDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pygwyutil_DATA)'; test -n "$(pygwyutildir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(pygwyutildir)'; $(am__uninstall_files_from_dir)

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
installdirs:
	for dir in "$(DESTDIR)$(moduledir)" "$(DESTDIR)$(pyexecdir)" "$(DESTDIR)$(langdir)" "$(DESTDIR)$(pygwyutildir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-$(am__rm_f) $(CLEANFILES)

distclean-generic:
	-$(am__rm_f) $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || $(am__rm_f) $(CONFIG_CLEAN_VPATH_FILES)
	-$(am__rm_f) $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-$(am__rm_f) $(BUILT_SOURCES)
@ENABLE_PYGWY_FALSE@install-exec-hook:
@OS_MSWIN_FALSE@install-exec-hook:
@ENABLE_PYGWY_FALSE@uninstall-hook:
@OS_MSWIN_FALSE@uninstall-hook:
clean: clean-am

clean-am: clean-generic clean-libtool clean-local \
	clean-moduleLTLIBRARIES clean-pyexecLTLIBRARIES mostlyclean-am

distclean: distclean-am
	-rm -f ./$(DEPDIR)/gwy_la-gwy.Plo
	-rm -f ./$(DEPDIR)/gwy_la-wrap_calls.Plo
	-rm -f ./$(DEPDIR)/pygwy_la-pygwy-console.Plo
	-rm -f ./$(DEPDIR)/pygwy_la-pygwy.Plo
	-rm -f ./$(DEPDIR)/pygwy_la-wrap_calls.Plo
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-langDATA install-moduleLTLIBRARIES \
	install-pygwyutilDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-pyexecLTLIBRARIES
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f ./$(DEPDIR)/gwy_la-gwy.Plo
	-rm -f ./$(DEPDIR)/gwy_la-wrap_calls.Plo
	-rm -f ./$(DEPDIR)/pygwy_la-pygwy-console.Plo
	-rm -f ./$(DEPDIR)/pygwy_la-pygwy.Plo
	-rm -f ./$(DEPDIR)/pygwy_la-wrap_calls.Plo
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-langDATA uninstall-moduleLTLIBRARIES \
	uninstall-pyexecLTLIBRARIES uninstall-pygwyutilDATA
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
.MAKE: all check install install-am install-exec install-exec-am \
	install-strip uninstall-am

.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-am clean \
	clean-generic clean-libtool clean-local \
	clean-moduleLTLIBRARIES clean-pyexecLTLIBRARIES cscopelist-am \
	ctags ctags-am distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-exec-hook install-html install-html-am \
	install-info install-info-am install-langDATA install-man \
	install-moduleLTLIBRARIES install-pdf install-pdf-am \
	install-ps install-ps-am install-pyexecLTLIBRARIES \
	install-pygwyutilDATA install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am uninstall-hook \
	uninstall-langDATA uninstall-moduleLTLIBRARIES \
	uninstall-pyexecLTLIBRARIES uninstall-pygwyutilDATA

.PRECIOUS: Makefile


# Do not use pipes between Python scripts, seems broken with Fedora's Wine 3.20
@ENABLE_PYGWY_TRUE@pygwy.defs: $(PYGWY_H_FILES) Makefile.am pygwy-fix-defs-1.py pygwy-fix-defs-2.py extra.defs
@ENABLE_PYGWY_TRUE@	$(AM_V_GEN)$(PYTHON2) $(PYGTK_CODEGENDIR)/h2def.py $(PYGWY_H_FILES) >pygwy.defs.tmp2
@ENABLE_PYGWY_TRUE@	$(PYTHON2) $(srcdir)/pygwy-fix-defs-1.py pygwy.defs.tmp2 >pygwy.defs.tmp
@ENABLE_PYGWY_TRUE@	$(PYTHON2) $(srcdir)/pygwy-fix-defs-2.py --codegendir=$(PYGTK_CODEGENDIR) >pygwy.defs
@ENABLE_PYGWY_TRUE@	rm pygwy.defs.tmp pygwy.defs.tmp2

@ENABLE_PYGWY_TRUE@pygwy.lang: pygwy.defs override.defs
@ENABLE_PYGWY_TRUE@	$(AM_V_GEN)cat pygwy.defs override.defs | $(PYTHON2) $(srcdir)/makelang.py >pygwy.lang

# The sed fixes pygwy_add_constants() and pygwy_register_classes() to static
# functions, and standardized `generated' line for automated exclusions of
# generated files.
# Keep the `GENERATED' string quoted to prevent match here
@ENABLE_PYGWY_TRUE@pygwywrap.c: $(srcdir)/pygwy-codegen.py pygwy.defs $(srcdir)/pygwy.override wrap_calls.c
@ENABLE_PYGWY_TRUE@	PYGTK_CODEGENDIR=$(PYGTK_CODEGENDIR) $(PYTHON2) $(srcdir)/pygwy-codegen.py \
@ENABLE_PYGWY_TRUE@	  --override $(srcdir)/pygwy.override --prefix pygwy pygwy.defs \
@ENABLE_PYGWY_TRUE@	  | sed -e 's/^void$$/static void/' -e 's/pygwy\.c/pygwywrap\.c/' \
@ENABLE_PYGWY_TRUE@	        -e '1s#.*#/* This is a 'GENERATED' file */#' >pygwywrap.c

@ENABLE_PYGWY_TRUE@gwy.py: pygwy.defs override.defs pygwywrap.c pygwy-generate-doc.py
@ENABLE_PYGWY_TRUE@	$(PYTHON2) ./pygwy-generate-doc.py --codegendir $(PYGTK_CODEGENDIR) >gwy.py

@ENABLE_PYGWY_TRUE@pygwy-doc: gwy.py gwyutils.py
@ENABLE_PYGWY_TRUE@	$(EPYDOC) -v -o pygwy-doc gwy.py gwyutils.py

@ENABLE_PYGWY_TRUE@@OS_MSWIN_TRUE@install-exec-hook:
@ENABLE_PYGWY_TRUE@@OS_MSWIN_TRUE@	cp "$(DESTDIR)$(pyexecdir)/gwy.dll" "$(DESTDIR)$(bindir)/gwy.pyd"

@ENABLE_PYGWY_TRUE@@OS_MSWIN_TRUE@uninstall-hook:
@ENABLE_PYGWY_TRUE@@OS_MSWIN_TRUE@	rm -f "$(DESTDIR)$(bindir)/gwy.pyd"

clean-local:
	rm -f core.* *~
	rm -rf pygwy-doc/

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

# Tell GNU make to disable its built-in pattern rules.
%:: %,v
%:: RCS/%,v
%:: RCS/%
%:: s.%
%:: SCCS/s.%
